footer {
  background-color: #f2f2f2;
  padding-top: 30px;
  padding-bottom: 30px;
}

.footer_logo {
  margin-bottom: 30px;
}

.footer_logo a {
  display: block;
  width: 200px;
  height: auto;
  margin: 0 auto;
}

@media only screen and (max-width: 425px) {
  footer {
    padding-top: 40px;
    padding-bottom: 40px;
  }

  .footer_logo {
    margin-bottom: 10px;
  }

  .footer_ttl h2 {
    font-size: 18px;
  }

  .footer_txt {
    font-size: 14px;
  }
}

.wrap {
  display: grid;
  grid-template-rows: auto 1fr auto;
  grid-template-columns: 100%;
  min-height: 0vh;
}

.footer-columns {
  display: flex;
  justify-content: space-between;
  align-items: stretch;
  font-size: 14px;
  line-height: 1.7;
}

.footer-column {
  flex: 1;

  padding: 16px;
  text-align: center;

}

.footer-column:not(:last-child) {
  border-right: 1px solid #ccc;

}

@media (max-width: 1024px) {
  .footer-columns {
    flex-direction: column;

  }

  .footer-column:not(:last-child) {
    border-right: none;

    border-bottom: 1px solid #ccc;

  }
}

.footer-column a {
  color: #333;

  text-decoration: none;

  transition: color 0.3s ease;

}

.footer-column a:hover {
  color: rgba(51, 51, 51, 0.5);

}

.minibutton {
  padding: 5px 12px;

  font-size: 12px;

  background-color: gainsboro;

  color: white;

  border: none;

  border-radius: 15px;

  cursor: pointer;

  transition: background-color 0.3s ease, transform 0.2s ease;

  width: auto;

  max-width: 150px;

  white-space: nowrap;


}

.minibutton:hover {
  background-color: darkgray;

  transform: scale(1.05);

}

.copyright {
  display: flex;

  justify-content: center;

  align-items: center;

  font-size: 14px;

  color: #fff;

  background-color: #0154A5;

  padding: 10px 0;

  border-top: 0px solid #444;

  height: 50px;

}
